import BlogLists from "@components/top-level/blog-lists";
import Pagination from "@components/top-level/pagination";
import { getPosts, getPostsBySearch } from "@lib/api";

const Home = async ({ searchParams }) => {
  const { page: pageNo = 1, search } = searchParams;

  const { blogs, total } = search
    ? await getPostsBySearch("posts", pageNo, search)
    : await getPosts("posts", pageNo);

  return blogs?.length ? (
    <div>
      <BlogLists
        title="Lifestyle"
        description="Lorem ipsum dolor sit amet elit. Id quaerat amet ipsum sunt et quos dolorum."
        blogs={blogs}
      />

      <Pagination
        currentPage={Number(pageNo)}
        total={Number(total)}
        search={search}
      />
    </div>
  ) : (
    <h2 className="center">No data found</h2>
  );
};

export default Home;
